Main Page | Class List | File List | Class Members | File Members | Related Pages

# /Users/engelen/Projects/gsoap/custom/duration.c File Reference

`#include "soapH.h"`

Include dependency graph for duration.c:

## Functions
void | soap_default_xsd__duration (struct soap *soap, LONG64 *a)
int | soap_out_xsd__duration (struct soap *soap, const char *tag, int id, const LONG64 *a, const char *type)
const char * | soap_xsd__duration2s (struct soap *soap, LONG64 a)
LONG64 * | soap_in_xsd__duration (struct soap *soap, const char *tag, LONG64 *a, const char *type)
int | soap_s2xsd__duration (struct soap *soap, const char *s, LONG64 *a)

## Function Documentation

void soap_default_xsd__duration | ( | struct soap * | soap,
|  | LONG64 * | a
| ) |

LONG64* soap_in_xsd__duration | ( | struct soap * | soap,
|  | const char * | tag,
|  | LONG64 * | a,
|  | const char * | type
| ) |

int soap_out_xsd__duration | ( | struct soap * | soap,
|  | const char * | tag,
|  | int | id,
|  | const LONG64 * | a,
|  | const char * | type
| ) |

int soap_s2xsd__duration | ( | struct soap * | soap,
|  | const char * | s,
|  | LONG64 * | a
| ) |

const char* soap_xsd__duration2s | ( | struct soap * | soap,
|  | LONG64 | a
| ) |